## tdevelop-trinity 14.0.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdevelop )
set( VERSION R14.0.5 )


##### include essential cmake modules ###########

include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFile )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( FindPkgConfig )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### add apidox targets ############

add_custom_target(apidox
  COMMAND "./generate_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "/usr/share/tqt3/doc/html"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")

add_custom_target(install-apidox
  COMMAND "./install_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "${CMAKE_INSTALL_PREFIX}"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")


##### build tools ###############################

option( WITH_BUILDTOOL_ALL "Enable all build tools" OFF )
option( WITH_BUILDTOOL_ADA "Enable ada build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_ANT "Enable ant build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_AUTOTOOLS "Enable autotools build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_CUSTOMMAKEFILES "Enable custommakefiles build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_PASCAL "Enable pascal build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_QMAKE "Enable qmake build tool" ${WITH_BUILDTOOL_ALL} )
option( WITH_BUILDTOOL_SCRIPT "Enable script build tool" ${WITH_BUILDTOOL_ALL} )


##### languages #################################

option( WITH_LANGUAGE_ALL "Enable all languages" OFF )
option( WITH_LANGUAGE_ADA "Enable ada language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_BASH "Enable bash language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_CPP "Enable cpp language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_FORTRAN "Enable fortran language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_JAVA "Enable java language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_CSHARP "Enable csharp language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_PASCAL "Enable pascal language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_PERL "Enable perl language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_PHP "Enable php language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_PYTHON "Enable python language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_RUBY "Enable ruby language" ${WITH_LANGUAGE_ALL} )
option( WITH_LANGUAGE_SQL "Enable sql language" ${WITH_LANGUAGE_ALL} )


##### version control systems ###################

option( WITH_VCS_ALL "Enable all version control systems"  OFF )
option( WITH_VCS_CLEARCASE "Enable clearcase support" ${WITH_VCS_ALL} )
option( WITH_VCS_CVSSERVICE "Enable cvsservice support" ${WITH_VCS_ALL} )
option( WITH_VCS_PERFORCE "Enable perforce support" ${WITH_VCS_ALL} )
option( WITH_VCS_SUBVERSION "Enable subversion support" ${WITH_VCS_ALL} )


##### components ################################

option( BUILD_ALL "Build all components" OFF )
option( BUILD_KDEVDESIGNER "Build kdevdesigner" ${BUILD_ALL} )
option( BUILD_VISUALBOYADVANCE "Build embedded/visualboyadvance" ${BUILD_ALL} )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )


##### optional stuff ############################

option( WITH_DEPRECATION "Enable deprecation warnings" OFF )


##### configure checks ##########################

include( ConfigureChecks.cmake )


##### various definitions #######################

if( NOT DEFINED QT_DOCDIR )
  find_path( QT_DOCDIR index.html
    ${QTDIR}/doc/html
    $ENV{QTDIR}/doc/html )
  if( NOT QT_DOCDIR )
    set( QT_DOCDIR "QT_DOCDIR is not set" )
  endif( )
endif( )

if( NOT DEFINED TDELIBS_DOXYDIR )
  set( TDELIBS_DOXYDIR "${TDE_HTML_DIR}/en/tdelibs-apidocs" )
endif( )


if( NOT DEFINED FULL_MAKE_COMMAND )
  find_program( FULL_MAKE_COMMAND
    NAMES gmake )
  if( NOT FULL_MAKE_COMMAND )
    find_program( FULL_MAKE_COMMAND
      NAMES make )
    if( NOT FULL_MAKE_COMMAND )
      tde_message_fatal( "Either make or gmake was NOT found." )
    endif( NOT FULL_MAKE_COMMAND )
  endif( NOT FULL_MAKE_COMMAND )
endif( NOT DEFINED FULL_MAKE_COMMAND )


if( NOT DEFINED MAKE_COMMAND )
  GET_FILENAME_COMPONENT( MAKE_COMMAND "${FULL_MAKE_COMMAND}" NAME )
endif( NOT DEFINED MAKE_COMMAND )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
  ${TQT_CFLAGS_OTHER}
)

if( NOT WITH_DEPRECATION )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated" )
endif( )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include tqt.h" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### install data ##############################

install( FILES
    tdevelop.desktop kdevassistant.desktop tdevelop_ruby.desktop
    tdevelop_c_cpp.desktop tdevelop_kde_cpp.desktop
    tdevelop_scripting.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR} )

install( FILES
    tde-development-tdevelop.directory
  DESTINATION ${XDG_DIRECTORY_INSTALL_DIR} )

install( FILES
    x-tdevelop.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application )

install( PROGRAMS
    kdevprj2kdevelop
  DESTINATION ${BIN_INSTALL_DIR} )


##### source directories ########################

add_subdirectory( lib )
add_subdirectory( src )
add_subdirectory( parts )
add_subdirectory( buildtools )
add_subdirectory( editors )
add_subdirectory( languages )
add_subdirectory( mimetypes )
add_subdirectory( pics )
add_subdirectory( vcs )
add_subdirectory( embedded )
tde_conditional_add_subdirectory( BUILD_KDEVDESIGNER kdevdesigner )
tde_conditional_add_subdirectory( BUILD_DOC doc )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

## tdevelop-trinity 14.0.4

=== debian/changelog ===
tdevelop-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 12:04:26 +0200

tdevelop-trinity (4:3.5.10-0ubuntu6) karmic; urgency=low

  * Repaired debugger widget dbgshell issue

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 07 Sep 2009 17:52:00 -0600

tdevelop-trinity (4:3.5.10-0ubuntu5) karmic; urgency=low

  * Repaired libtool problems

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Aug 2009 11:26:00 -0600

tdevelop-trinity (4:3.5.10-0ubuntu2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

tdevelop-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 March 2009 23:07:00 -0600

tdevelop-trinity (4:3.5.10-0ubuntu1~intrepid1) intrepid; urgency=low

  * Added -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 02 Dec 2008 09:18:00 -0600

tdevelop (4:3.5.3-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Remove kubuntu_01_fix_missing_output.diff - applied upstream
    - Bump version of build-dep tdelibs4-dev and libcvsservice-dev to
      3.5.10

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:54:26 -0400

tdevelop (4:3.5.1-0ubuntu2) hardy; urgency=low

  * Add kubuntu_01_fix_missing_output.diff from upstream,
    fixes "some lines in the build outputview disappear"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Mar 2008 00:03:04 +0000

tdevelop (4:3.5.1-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Upgrade build-deps to libdb4.6-dev, python2.5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:08 +0000

tdevelop (4:3.5.0-2ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change: kubuntu_01_svn_724231_qmake.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:50 +0000

tdevelop (4:3.5.0-2) unstable; urgency=low

  * Apply patch for user interface lag on large projects.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 28 Oct 2007 22:46:07 +0100

tdevelop (4:3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Replace Build-Depends on automake1.9 by automake (>= 1:1.10)
  * Remove patches included upstream:
    + 09_fix_gdb_focus.diff
  * Update menu entry to use the Applications section

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 17 Oct 2007 08:01:52 +0200

tdevelop (4:3.5.0-0ubuntu3) hardy; urgency=low

  * Add kubuntu_02_user_interface_lag.diff
    Closes LP: #156654
    Upstream: http://websvn.kde.org/?view=rev&revision=728690

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Nov 2007 17:34:08 +0000

tdevelop (4:3.5.0-0ubuntu2) gutsy; urgency=low

  * Add kubuntu_01_svn_724231_qmake.diff as recommended by upstream to fix QMake

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Oct 2007 16:34:11 +0100

tdevelop (4:3.5.0-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:28 +0100

tdevelop (4:3.4.1-3ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining change: .pot patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Aug 2007 12:04:37 +0100

tdevelop (4:3.4.1-3) unstable; urgency=low

  * Make tdevelop binNMU safe using Michael Biebl's patch (Closes: #431360).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 02 Jul 2007 07:12:32 +0200

tdevelop (4:3.4.1-2) unstable; urgency=low

  * Apply patch to prevent integrated debugger losing focus (Closes: #427949).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 28 Jun 2007 20:24:01 +0200

tdevelop (4:3.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update ltmain.sh in application templates (Closes: #351358).
  * Suggest tdebase-kio-plugins to view documentation (Closes: #412108).
  * Add Build-Depends on libsvn-dev to build KDevelop's SVN ioslave,
    drop Suggests on tdesdk-kio-plugins | tdesvn-kio-plugins.
  * Replace Build-Depends on libdb4.3 by libdb4.4.
  * Remove patches applied upstream:
    + 01_kofficepart_template.diff
    + 04_cppcurses_template.diff
    + 06_kicker_template.diff
    + 07_qmake_parser.diff
    + 08_fix_gcc43_ftbfs.diff
  * Add new docs files to tdevelop-doc.install.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 06 Jun 2007 09:59:46 +0200

tdevelop (4:3.4.1-0ubuntu2) gutsy; urgency=low

  * Add build-dep on libsvn-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 May 2007 09:42:30 +0000

tdevelop (4:3.4.1-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * Remove patches applied upstream
    - 01_kofficepart_template.diff
    - 04_cppcurses_template.diff
    - 06_kicker_template.diff
    - 07_qmake_parser.diff
    - 08_fix_gcc43_ftbfs.diff
  * Add new docs files to tdevelop-doc.install
	
 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 18:38:37 +0100

tdevelop (4:3.4.0-3ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:57 +0100

tdevelop (4:3.4.0-3) unstable; urgency=low

  * Apply patch from Martin Michlmayr for GCC 4.3 FTBFS (Closes: #417343).
  * Add note about Persistent Class Store in README.Debian (Closes: #409364).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 02 Apr 2007 14:41:41 +0200

tdevelop (4:3.4.0-2) unstable; urgency=low

  * Rework Suggests and Recommends:
    + Move Suggests on kdbg, a2ps, enscript and gv.
    + Add Suggests on cmake, ruby and python.
    + Make gdb (>= 6.4) a Recommends.
  * Fix kicker application template (Closes: #235867).
  * Fix qmake manager parser bug introduced in 3.4.0.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 11 Feb 2007 09:02:59 +0100

tdevelop (4:3.4.0-1) unstable; urgency=low

  * New upstream release.
    + Reformat code works after creating a new project (Closes: #330028).


=== debian/control ===
Source: tdevelop-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Jeremy Lain <jeremy.laine@m4x.org>
Build-Depends: cdbs (>= 0.4.38), debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev, gettext, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: tdevelop-trinity
Architecture: any
Depends: ${shlibs:Depends}, tdevelop-data-trinity (>= ${source:Version}), tdebase-trinity-bin
Replaces: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
Breaks: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
Recommends: tdevelop-trinity-doc, make, libtool, autoconf, automaken, gdb (>= 6.4)
Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, gettext, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python, g++, kdevdesigner-trinity
Description: An IDE for Unix/X11
 TDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using TQt, Qt, TDE, KDE or GNOME.

Package: tdevelop-trinity-doc
Section: doc
Architecture: all
Replaces: kdevelop-kde3-doc (<< 4:14.0.0~), kdevelop-trinity-doc (<< 4:14.0.0~)
Breaks: kdevelop-kde3-doc (<< 4:14.0.0~), kdevelop-trinity-doc (<< 4:14.0.0~)
Description: An IDE for Unix/X11 - documentation
 TDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using TQt, Qt, TDE, KDE or GNOME.
 .
 This package contains documentation for TDevelop.

Package: tdevelop-data-trinity
Architecture: all
Replaces: kdevelop-data-kde3 (<< 4:14.0.0~), kdevelop-data-trinity (<< 4:14.0.0~)
Breaks: kdevelop-data-kde3 (<< 4:14.0.0~), kdevelop-data-trinity (<< 4:14.0.0~)
Description: An IDE for Unix/X11 - data
 TDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using TQt, Qt, TDE, KDE or GNOME.
 .
 This package contains arch independent data for TDevelop.

Package: kdevdesigner-trinity
Architecture: any
Depends: ${shlibs:Depends}, tdevelop-trinity (= ${source:Version})
Description: KDevDesigner part for TDevelop
 This package provides the KDevDesigner part for TDevelop

Package: tdevelop-trinity-dev
Architecture: any
Depends: tdevelop-trinity (= ${binary:Version}), tdelibs14-trinity-dev
Replaces: kdevelop-kde3-dev (<< 4:14.0.0~), kdevelop-trinity-dev (<< 4:14.0.0~)
Breaks: kdevelop-kde3-dev (<< 4:14.0.0~), kdevelop-trinity-dev (<< 4:14.0.0~)
Description: An IDE for Unix/X11 - development files
 TDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using TQt, Qt, TDE, KDE or GNOME.
 .
 This package contains development files for TDevelop.

Package: tdevelop-trinity-dbg
Section: debug
Architecture: any
Priority: extra
Replaces: kdevelop-trinity-dbg (<< 4:14.0.0~)
Breaks: kdevelop-trinity-dbg (<< 4:14.0.0~)
Depends: tdevelop-trinity (= ${binary:Version}), tdelibs-trinity-dbg
Description: debugging symbols for tdevelop
 This package contains the debugging symbols associated with tdevelop.
 They will automatically be used by gdb for debugging tdevelop-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

# work around debian/cdbs/uploaders.mk
makebuilddir::
	[ -f debian/control.tmp ] || cp debian/control debian/control.tmp

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_STRIP_ARGS  := --dbg-package=tdevelop-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

PACKAGES_WITH_LIBS := tdevelop-trinity

DEB_KDE_APIDOX := yes
DEB_KDE_ENABLE_FINAL :=
DEB_INSTALL_DOCS_tdevelop = AUTHORS
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS := \
				--disable-debug \
				--enable-docbase \
				--enable-scripting \
				--enable-ada \
				--enable-bash \
				--enable-cpp \
				--enable-fortran \
				--enable-haskell \
				--enable-java \
				--enable-pascal \
				--enable-perl \
				--enable-php \
				--enable-python \
				--enable-ruby \
				--enable-sql \
				--enable-antproject \
				--enable-autoproject \
				--enable-customproject \
				--enable-genericproject \
				--enable-scriptproject \
				--enable-trollproject \
				--enable-cvs \
				--enable-vba \
				--enable-subversion \
				--with-pic \
				--with-tdelibsdoxy-dir=/opt/trinity/share/doc/tde/HTML/en/tdelibs-apidocs \
				--with-pythondir=/usr \
#				--with-qtdoc-dir=/usr/share/tqt3/doc/html \
				--prefix=/opt/trinity \
				--with-extra-libs=/opt/trinity/lib

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_BUILDTOOL_ALL="ON" \
 -DWITH_LANGUAGE_ALL="ON" \
 -DWITH_VCS_ALL="ON" \
 -DQTDIR="/usr/share/tqt3" 

binary-install/tdevelop-trinity::
	mkdir -p debian/tdevelop-trinity/opt/trinity/share/pixmaps
	cp debian/tdevelop.xpm debian/tdevelop-trinity/opt/trinity/share/pixmaps
	mv debian/tdevelop-trinity/usr/share/man debian/tdevelop-trinity/opt/trinity/share/
	rm debian/tdevelop-trinity/opt/trinity/lib/trinity/libkdevdesignerpart.*
	rm debian/tdevelop-trinity/opt/trinity/share/services/kdevdesigner_part.desktop

## tdevelop-trinity 14.0.5

=== debian/changelog ===
tdevelop-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 04:26:50 +0200

## tdevelop-trinity 14.0.6

=== debian/changelog ===
tdevelop-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Mar 2019 23:22:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Jeremy Lain <jeremy.laine@m4x.org>
-Build-Depends: cdbs (>= 0.4.38), debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev, gettext, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.38), debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: tdevelop-trinity
@@ -12,7 +12,7 @@
 Replaces: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
 Breaks: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
 Recommends: tdevelop-trinity-doc, make, libtool, autoconf, automaken, gdb (>= 6.4)
-Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, gettext, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python, g++, kdevdesigner-trinity
+Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python, g++, kdevdesigner-trinity
 Description: An IDE for Unix/X11
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,6 @@
 LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
 endif
 export LD_LIBRARY_PATH
-
-# work around debian/cdbs/uploaders.mk
-makebuilddir::
-	[ -f debian/control.tmp ] || cp debian/control debian/control.tmp
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk

## tdevelop-trinity 14.0.8

=== debian/changelog ===
tdevelop-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:34 +0200

## tdevelop-trinity 14.0.9

=== debian/changelog ===
tdevelop-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:55:04 +0200

## tdevelop-trinity 14.0.10

=== debian/changelog ===
tdevelop-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: tdevelop-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Jeremy Lain <jeremy.laine@m4x.org>
-Build-Depends: cdbs (>= 0.4.38), debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.38), debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python-all, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev
 Standards-Version: 3.8.4
 
 Package: tdevelop-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, tdevelop-data-trinity (>= ${source:Version}), tdebase-trinity-bin
-Replaces: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
-Breaks: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
+Replaces: kdevelop-trinity (<< 4:14.0.0~)
+Breaks: kdevelop-trinity (<< 4:14.0.0~)
 Recommends: tdevelop-trinity-doc, make, libtool, autoconf, automaken, gdb (>= 6.4)
-Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python, g++, kdevdesigner-trinity
+Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python-all, g++, kdevdesigner-trinity
 Description: An IDE for Unix/X11
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features 
@@ -25,8 +25,8 @@
 Package: tdevelop-trinity-doc
 Section: doc
 Architecture: all
-Replaces: kdevelop-kde3-doc (<< 4:14.0.0~), kdevelop-trinity-doc (<< 4:14.0.0~)
-Breaks: kdevelop-kde3-doc (<< 4:14.0.0~), kdevelop-trinity-doc (<< 4:14.0.0~)
+Replaces: kdevelop-trinity-doc (<< 4:14.0.0~)
+Breaks: kdevelop-trinity-doc (<< 4:14.0.0~)
 Description: An IDE for Unix/X11 - documentation
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features 
@@ -40,8 +40,8 @@
 
 Package: tdevelop-data-trinity
 Architecture: all
-Replaces: kdevelop-data-kde3 (<< 4:14.0.0~), kdevelop-data-trinity (<< 4:14.0.0~)
-Breaks: kdevelop-data-kde3 (<< 4:14.0.0~), kdevelop-data-trinity (<< 4:14.0.0~)
+Replaces: kdevelop-data-trinity (<< 4:14.0.0~)
+Breaks: kdevelop-data-trinity (<< 4:14.0.0~)
 Description: An IDE for Unix/X11 - data
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features 
@@ -62,8 +62,8 @@
 Package: tdevelop-trinity-dev
 Architecture: any
 Depends: tdevelop-trinity (= ${binary:Version}), tdelibs14-trinity-dev
-Replaces: kdevelop-kde3-dev (<< 4:14.0.0~), kdevelop-trinity-dev (<< 4:14.0.0~)
-Breaks: kdevelop-kde3-dev (<< 4:14.0.0~), kdevelop-trinity-dev (<< 4:14.0.0~)
+Replaces: kdevelop-trinity-dev (<< 4:14.0.0~)
+Breaks: kdevelop-trinity-dev (<< 4:14.0.0~)
 Description: An IDE for Unix/X11 - development files
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features

## tdevelop-trinity 14.0.11

=== debian/changelog ===
tdevelop-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:34:51 +0200

## tdevelop-trinity 14.0.12

=== debian/changelog ===
tdevelop-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Feb 2022 02:20:37 +0100

## tdevelop-trinity 14.0.13

=== debian/changelog ===
tdevelop-trinity (4:14.0.13-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Sep 2022 03:29:54 +0200

## tdevelop-trinity 14.1.0

=== languages/cpp/pcsimporter/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( qtimporter )
add_subdirectory( tdelibsimporter )
add_subdirectory( customimporter )
add_subdirectory( qt4importer )

=== languages/ruby/app_templates/qtruby4app/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

set( _tarball_content
    main.rb qtruby4app.rb qtruby4app.png qtruby4app.kdevelop
    application.qrc ReadMe filesave.xpm fileopen.xpm
    filenew.xpm editcopy.xpm editpaste.xpm editcut.xpm
    app-Makefile app.filelist
)
list( SORT _tarball_content )

tde_create_tarball(
  TARGET qtruby4app.tar.gz
  FILES ${_tarball_content}
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/qtruby4app.tar.gz qtruby4app.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


tde_create_translated_desktop(
  SOURCE qtruby4app.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates
  KEYWORDS Category
  PO_DIR tdevelop-desktops
)

=== debian/changelog ===
tdevelop-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 17 Jan 2023 01:25:38 +0100

## tdevelop-trinity 14.1.1

=== debian/changelog ===
tdevelop-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 03:48:41 +0200

## tdevelop-trinity 14.1.2

=== debian/changelog ===
tdevelop-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Apr 2024 23:40:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Jeremy Lain <jeremy.laine@m4x.org>
-Build-Depends: cdbs (>= 0.4.38), debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python-all, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python3-all, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev
 Standards-Version: 3.8.4
 
 Package: tdevelop-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, tdevelop-data-trinity (>= ${source:Version}), tdebase-trinity-bin
-Replaces: kdevelop-trinity (<< 4:14.0.0~)
-Breaks: kdevelop-trinity (<< 4:14.0.0~)
+Replaces: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
+Breaks: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
 Recommends: tdevelop-trinity-doc, make, libtool, autoconf, automaken, gdb (>= 6.4)
-Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python-all, g++, kdevdesigner-trinity
+Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, tde-cmake, ruby, python3-all, g++, kdevdesigner-trinity
 Description: An IDE for Unix/X11
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features 
@@ -25,8 +25,8 @@
 Package: tdevelop-trinity-doc
 Section: doc
 Architecture: all
-Replaces: kdevelop-trinity-doc (<< 4:14.0.0~)
-Breaks: kdevelop-trinity-doc (<< 4:14.0.0~)
+Replaces: kdevelop-kde3-doc (<< 4:14.0.0~), kdevelop-trinity-doc (<< 4:14.0.0~)
+Breaks: kdevelop-kde3-doc (<< 4:14.0.0~), kdevelop-trinity-doc (<< 4:14.0.0~)
 Description: An IDE for Unix/X11 - documentation
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features 
@@ -40,8 +40,8 @@
 
 Package: tdevelop-data-trinity
 Architecture: all
-Replaces: kdevelop-data-trinity (<< 4:14.0.0~)
-Breaks: kdevelop-data-trinity (<< 4:14.0.0~)
+Replaces: kdevelop-data-kde3 (<< 4:14.0.0~), kdevelop-data-trinity (<< 4:14.0.0~)
+Breaks: kdevelop-data-kde3 (<< 4:14.0.0~), kdevelop-data-trinity (<< 4:14.0.0~)
 Description: An IDE for Unix/X11 - data
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features 
@@ -62,8 +62,8 @@
 Package: tdevelop-trinity-dev
 Architecture: any
 Depends: tdevelop-trinity (= ${binary:Version}), tdelibs14-trinity-dev
-Replaces: kdevelop-trinity-dev (<< 4:14.0.0~)
-Breaks: kdevelop-trinity-dev (<< 4:14.0.0~)
+Replaces: kdevelop-kde3-dev (<< 4:14.0.0~), kdevelop-trinity-dev (<< 4:14.0.0~)
+Breaks: kdevelop-kde3-dev (<< 4:14.0.0~), kdevelop-trinity-dev (<< 4:14.0.0~)
 Description: An IDE for Unix/X11 - development files
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features

## tdevelop-trinity 14.1.3

=== debian/changelog ===
tdevelop-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:12:46 +0200

## tdevelop-trinity 14.1.4

=== debian/changelog ===
tdevelop-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tdevelop-trinity 14.1.5~pre1

=== debian/changelog ===
tdevelop-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 5f7b2eed9d554a8ee935065534be57de37d6a6b1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
